| Liveness Engine SDK Liveness detection engine.

Public Member Functions | List of all members
lsdk::ILivenessEngine Struct Referenceabstract
Liveness detection.

Root Liveness SDK object interface. More...

`#include <LivenessEngine.h>`

Inheritance diagram for lsdk::ILivenessEngine:

## Public Member Functions
virtual fsdk::ResultValue< fsdk::FSDKError, fsdk::Ref< ILiveness > > | createLiveness (LivenessAlgorithmType type) noexcept=0
| Creates a simple livenes of given type. More...
virtual fsdk::ResultValue< fsdk::FSDKError, fsdk::Ref< IUnifiedLiveness > > | createUnifiedLiveness (LivenessAlgorithmType type) noexcept=0
| Creates a unified liveness which performs all possible calculations and tracks value from given type. More...
virtual fsdk::ResultValue< fsdk::FSDKError, fsdk::Ref< IComplexLiveness > > | createComplexLiveness (ComplexLivenessAlgorithmType type) noexcept=0
| Creates a complex livenes of given type. More...
virtual void | setSettingsProvider (fsdk::ISettingsProvider *provider) noexcept=0
| Sets settings provider. More...
virtual fsdk::ISettingsProvider * | getSettingsProvider () const noexcept=0
| Gets settings provider. More...
virtual void | setDataDirectory (const char *path) noexcept=0
| Sets data directory. More...
virtual const char * | getDataDirectory () const noexcept=0
| Gets data directory. More...

## Detailed Description

Root Liveness SDK object interface.

Note
  Liveness Engine also implements factory interface so all usual factory options apply.

## Member Function Documentation

## ◆ createComplexLiveness()

virtual fsdk::ResultValue<fsdk::FSDKError, fsdk::Ref<IComplexLiveness> > lsdk::ILivenessEngine::createComplexLiveness | ( | ComplexLivenessAlgorithmType | type | ) |
| pure virtual noexcept

Creates a complex livenes of given type.

Parameters

  [in] | type | complex liveness type.

Note
  The following types are supported:
  - CLA_DEPTH

See also
  LivenessAlgoritmType for more information.

Returns
  Complex liveness object if succeeded, nullptr if failed.

## ◆ createLiveness()

virtual fsdk::ResultValue<fsdk::FSDKError, fsdk::Ref<ILiveness> > lsdk::ILivenessEngine::createLiveness | ( | LivenessAlgorithmType | type | ) |
| pure virtual noexcept

Creates a simple livenes of given type.

Parameters

  [in] | type | liveness type.

Note
  The following types are supported:
  - LA_PITCH_DOWN,
  - LA_PITCH_UP,
  - LA_YAW_LEFT,
  - LA_YAW_RIGHT,
  - LA_SMILE,
  - LA_MOUTH,
  - LA_EYEBROW,
  - LA_EYE,
  - LA_FLOW,
  - LA_INFRARED

See also
  LivenessAlgoritmType for more information.

Returns
  liveness object if succeeded, nullptr if failed.

## ◆ createUnifiedLiveness()

virtual fsdk::ResultValue<fsdk::FSDKError, fsdk::Ref<IUnifiedLiveness> > lsdk::ILivenessEngine::createUnifiedLiveness | ( | LivenessAlgorithmType | type | ) |
| pure virtual noexcept

Creates a unified liveness which performs all possible calculations and tracks value from given type.

Parameters

  [in] | type | liveness type to track.

See also
  LivenessAlgoritmType for more information.

Returns
  Unified liveness object if succeeded, nullptr if failed.

## ◆ getDataDirectory()

virtual const char* lsdk::ILivenessEngine::getDataDirectory | ( |  | ) | const
| pure virtual noexcept

Gets data directory.

By default is set to "./data".

Returns
  path to data directory.

## ◆ getSettingsProvider()

virtual fsdk::ISettingsProvider* lsdk::ILivenessEngine::getSettingsProvider | ( |  | ) | const
| pure virtual noexcept

Gets settings provider.

Returns
  settings provider.

## ◆ setDataDirectory()

virtual void lsdk::ILivenessEngine::setDataDirectory | ( | const char * | path | ) |
| pure virtual noexcept

Sets data directory.

Parameters

  [in] | path | path to data directory.

## ◆ setSettingsProvider()

virtual void lsdk::ILivenessEngine::setSettingsProvider | ( | fsdk::ISettingsProvider * | provider | ) |
| pure virtual noexcept

Sets settings provider.

Parameters

  [in] | provider | settings provider.

The documentation for this struct was generated from the following file:

- /home/gitlab-runner/builds/emWPyp4G/0/face-recognition/FaceEngine/extern/LivenessEngine/inc/lsdk/LivenessEngine.h